Name:           vault
Version:        0.0.2
Release:        2%{?dist}
Summary:        Secrets storage for automated tasks

License:        GPLv2+
URL:            https://pagure.io/taskotron/vault
Source0:        https://releases.pagure.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       python2-alembic
Requires:       python2-flask
Requires:       python2-flask-httpauth
%if 0%{?fedora} <= 27
Requires:       python-flask-login
Requires:	python-flask-wtf
%else
Requires:       python2-flask-login
Requires:	python2-flask-wtf
%endif
Requires:       python2-flask-oidc
Requires:       python2-flask-restful
Requires:       python2-flask-sqlalchemy
Requires:       python2-crypto

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools


%description
Vault stores and controls encrypted data like passwords, 
API keys or other secrets.
Implements bucket-based access control, and secret versioning.
%prep
%setup -q

%check
# This seems to be the only place where we can remove pyco files, see:
# https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling
rm -f %{buildroot}%{_sysconfdir}/vault/*.py{c,o}

%build
%py2_build

%install
%py2_install

# apache and wsgi settings
install -d %{buildroot}%{_datadir}/vault/conf
install -p -m 0644 conf/vault.conf %{buildroot}%{_datadir}/vault/conf/
install -p -m 0644 conf/vault.wsgi %{buildroot}%{_datadir}/vault/

# alembic config and data
cp -r --preserve=timestamps alembic %{buildroot}%{_datadir}/vault/
install -p -m 0644 alembic.ini %{buildroot}%{_datadir}/vault/

# vault config
install -d %{buildroot}%{_sysconfdir}/vault
install -p -m 0644 conf/settings.py.example %{buildroot}%{_sysconfdir}/vault/settings.py

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/vault
%{python2_sitelib}/*.egg-info

%{_bindir}/vault
%dir %{_sysconfdir}/vault
%config(noreplace) %{_sysconfdir}/vault/settings.py
%dir %{_datadir}/vault
%{_datadir}/vault/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Frantisek Zatloukal <fzatlouk@redhat.com> - 0.0.2-1
- Use python-flask-login for F27
- New Release

* Tue May 22 2018 Josef Skladanka <jskladan@redhat.com> - 0.0.1-1
- initial packaging
